# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "FlickrCollage/version"

Gem::Specification.new do |spec|
  spec.name = "FlickrCollage"
  spec.license = "MIT"
  spec.version       = FlickrCollage::VERSION
  spec.authors       = ["Chromium"]
  spec.email         = ["crcs2o4@gmail.com"]

  spec.summary       = "Create collage from 10 top-rated Flickr images for your keywords"
  spec.description   = "This gem creates collage from 10 top-rated Flickr images for your keywords.
It's a part of coding challenge and it's fun."
  spec.homepage      = "https://github.com/CrCs2O4/FlickrCollage.git"

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rdoc", "~> 4.2.2", ">= 4.2.2"
  spec.add_development_dependency "aruba", "~> 0.14.2"
  spec.add_dependency "methadone", "~> 1.9.2", ">= 1.9.2"
  spec.add_development_dependency "test-unit", "~> 3.2.1", ">= 3.2.1"
  spec.add_dependency "flickraw", "~> 0.9.9"
  spec.add_dependency "mini_magick", "~> 4.5.1", ">= 4.5.1"
end
